import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.*;
import javax.swing.*;

/**
 * La clase ColgadoPanel es el panel donde se dibuja el colgado
 */
public class ColgadoPanel extends JPanel
{
	private int index = 0;
	private ImageIcon image;
	private JLabel label;
	private String dir;

/**
 * El constructor de la clase no tiene argumentos
 */
	public ColgadoPanel()
	{
		setSize(400,400);
		dir = new String();
	}

/**
 * Con este metodo, decidimos cual imagen imprimos
 * Los imagenes deben ser ordenados y llamarse por ejemplo
 * "6.jpg"
 * @param int ind Pasamos a este metodo un argumento de tipo
 * entero, que corresponde al nombre de letras falsas ingresadas.
 */	
	public void setImage(int ind)
	{
		this.removeAll();
		index= ind;
		dir = index + ".jpg";
		image = new ImageIcon(dir);
		label = new JLabel(image, JLabel.CENTER);
		System.out.println(dir);
		this.add(label);
		validate();
	}

}