import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import javax.swing.*;
import java.io.*;
import java.lang.String.*;

/**
 * La clase FinPanel es el panel que muestra la palabra 
 * que se debe adivinar.
 */
public class FinPanel extends JPanel/* implements KeyListener*/
{
	private char[] loose = {'Y','O','U',' ','L','O','O','S','E','!'};
	private char[] win = {'Y','O','U',' ','W','I','N','!'};
	private char[] palabra;
	private String opc = "\nPresione 4 para volver a jugar";
	private char[] opcion;

/**
 * Constructor de la clase: recibe un arreglo de caracteres
 * que corresponden con las letras ya adivinadas.
 * @param char[] pal El arreglo que contiene los caracteres 
 * que deben ser imprimidos.
 */
	public FinPanel()
	{
		setSize(400,400);
		opcion = opc.toCharArray();
	}

/**
 * Metodo ue permite dibujar este panel
 */
 	public void win()
	{
		palabra = new char [win.length];
		for(int i = 0; i < palabra.length; i++)
			palabra[i] = win[i];
		repaint();
	}
	
	public void loose()
	{
		palabra = new char [loose.length];
		for(int i = 0; i < palabra.length; i++)
			palabra[i] = loose[i];
		repaint();
	}	

	public void paint(Graphics g)
	{
		g.setColor(Color.white);
		g.fillRect(0,0,450,450);
		g.setColor(Color.black);
		g.setFont(new Font("times new roman",4, 50));			
		g.drawChars(palabra,0,palabra.length,50,100);
		g.setFont(new Font("times new roman",4, 15));			
		g.drawChars(opcion,0,opcion.length,70,190);
	}
}
