import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import javax.swing.*;
import java.io.*;
import java.lang.String.*;
import java.util.ArrayList;

/**
 * La clase Menu es un panel que muestra las opciones de juego
 *	y permite escoger alguna de ellas.
 */
public class Menu extends JPanel /*implements KeyListener*/
{
/**
 * Constructor de la clase: Contiene los valores de las variables
 * que permiten al usuario escoger entre las opciones de juego.
 */

	char[] saludo;			char[] opcion1;
	char[] opcion2;		char[] opcion3;
	int xsaludo, ysaludo, xopcion1, yopcion1, xopcion2, yopcion2, xopcion3, yopcion3;
	String sal = "Bienvenido";
	String opc1 = "Presione 1 si quiere jugar contra el computador";
	String opc2 = "\nPresione 2 si quiere jugar contra un amigo";
	String opc3 = "\nPresione 3 para terminar";
	
	public Menu()
	{
		setSize(800,200);
		saludo = sal.toCharArray();	opcion3 = opc3.toCharArray();
		opcion1 = opc1.toCharArray();	opcion2 = opc2.toCharArray();

		//Posiciones relativas en el primer panel
		xsaludo = 10;		ysaludo = 50;
		xopcion1 = 10;		yopcion1 = 100;
		xopcion2 = 10;		yopcion2 = 140;
		xopcion3 = 10;		yopcion3 = 180;
	}

/**
* Metodo que permite dibujar este panel
*/	
	public void paint(Graphics g)
	{
		g.setColor(Color.white);
		g.fillRect(0,0,800,200);
		g.setColor(Color.black);
		g.setFont(new Font("times new roman", 4, 60));
		g.drawChars(saludo, 0, (int)sal.length(), xsaludo, ysaludo);
		g.setFont(new Font("times new roman", 4, 30));
		g.drawChars(opcion1, 0, (int)opc1.length(), xopcion1, yopcion1);
		g.drawChars(opcion2, 0, (int)opc2.length(), xopcion2, yopcion2);
		g.drawChars(opcion3, 0, (int)opc3.length(), xopcion3, yopcion3);
		repaint();
	}
}
